This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 597086

Summary: QEMU crashes after ibus' restart
Product: [Fedora] Fedora Reporter: Daniel <danielsun3164>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, danielsun3164, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, ondrejj, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:52:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Daniel 2010-05-28 01:40:50 EDT
Description of problem:
QEMU crashes after I restart ibus(a input method).

Version-Release number of selected component (if applicable):
qemu-kvm-tools-0.11.0-13.fc12.i686
qemu-system-sh4-0.11.0-13.fc12.i686
qemu-system-ppc-0.11.0-13.fc12.i686
qemu-common-0.11.0-13.fc12.i686
qemu-system-mips-0.11.0-13.fc12.i686
qemu-system-arm-0.11.0-13.fc12.i686
qemu-kvm-0.11.0-13.fc12.i686
qemu-system-x86-0.11.0-13.fc12.i686
qemu-0.11.0-13.fc12.i686
gpxe-roms-qemu-0.9.9-1.20091018git.fc12.noarch
qemu-system-sparc-0.11.0-13.fc12.i686
qemu-img-0.11.0-13.fc12.i686
qemu-system-m68k-0.11.0-13.fc12.i686
qemu-user-0.11.0-13.fc12.i686
qemu-system-cris-0.11.0-13.fc12.i686

ibus-gtk-1.3.3-1.fc12.i686
ibus-table-wubi-1.2.0.20090715-5.fc12.noarch
ibus-1.3.3-1.fc12.i686
ibus-pinyin-db-open-phrase-1.3.6-1.fc12.noarch
ibus-pinyin-1.3.6-1.fc12.i686
ibus-libs-1.3.3-1.fc12.i686
ibus-qt-1.3.0-1.fc12.i686
ibus-table-1.2.0.20100111-1.fc12.noarch
ibus-anthy-1.2.1-1.fc12.i686


How reproducible:
Everytime

Steps to Reproduce:
1. start QEMU.
2. restart ibus.
3. activate QEMU window and QEMU will crash
  
Actual results:
QEMU crashed

Expected results:
QEMU should continue running even after ibus' restart

Additional info:
Comment 1 Bug Zapper 2010-11-03 09:58:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel 2010-11-03 21:29:30 EDT
Thanks for the remind from Bug Zapper.

I updated my Fedora to 13 of platform x86_64. This bug still exists.
Comment 3 Bug Zapper 2011-06-02 09:07:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Daniel 2011-06-02 21:30:39 EDT
Thanks for the remind from Bug Zapper.

I upgraded to Fedora 14 and this problem had been fixed with following packages:

$ rpm -qa | grep qemu
qemu-kvm-0.13.0-1.fc14.x86_64
qemu-system-x86-0.13.0-1.fc14.x86_64
qemu-common-0.13.0-1.fc14.x86_64
gpxe-roms-qemu-1.0.1-1.fc14.noarch
qemu-img-0.13.0-1.fc14.x86_64
qemu-user-0.13.0-1.fc14.x86_64
qemu-kvm-tools-0.13.0-1.fc14.x86_64

$ rpm -qa | grep ^ibus | grep -v ibus-table
ibus-libs-1.3.9-2.fc14.x86_64
ibus-pinyin-db-open-phrase-1.3.11-1.fc14.noarch
ibus-1.3.9-2.fc14.x86_64
ibus-mozc-1.0.558.102-0.1.20101216svn.fc14.x86_64
ibus-skk-1.3.5-1.fc14.noarch
ibus-qt-1.3.1-3.fc14.i686
ibus-devel-1.3.9-2.fc14.x86_64
ibus-m17n-1.3.1-8.fc14.x86_64
ibus-handwrite-2.1.1-1.fc14.x86_64
ibus-gtk2-1.3.9-2.fc14.x86_64
ibus-pinyin-1.3.11-1.fc14.x86_64
ibus-rawcode-1.3.1.20100707-1.fc14.x86_64
ibus-qt-1.3.1-3.fc14.x86_64
ibus-gtk2-1.3.9-2.fc14.i686
ibus-chewing-1.3.9.2-1.fc14.x86_64
ibus-anthy-1.2.5-3.fc14.x86_64
ibus-libs-1.3.9-2.fc14.i686
Comment 5 Bug Zapper 2011-06-27 12:52:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.